Jump to content
Welcome to our new Citrix community!
  • 0

Fingerprint Scanner on Bloomberg model 5 keyboard not working


Peter Beijer1709162656

Question

Hi, in our environment we have a W10 2109 VDI solution. On these VDI's the application Bloomberg is being used. Bloomberg has special keyboards with a Fingerprint Scanner.

We succeeded the get the Fingerprint scanner to work on the Model 3 and Model 4 Keyboards. However, we are not able to get the Fingerprint scanner working on Model 5 keyboards.

 

Our client devices are HP Thinclients with W10

 

We followed the steps in: https://docs.citrix.com/en-us/citrix-workspace-app-for-windows/configure.html

Section: Bloomberg Keyboards and configured these settings on the ThinClients:
 

[HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Policies\Citrix\ICA Client\GenericUSB]
"SplitDevices"=dword:00000001
"DeviceRules"="CONNECT: vid=1188 pid=A101 # Bloomberg 5 Biometric module;DENY: vid=1188 pid=A001 split=01 intf=00 # Bloomberg 5 Primary keyboard;CONNECT: vid=1188 pid=A001 split=01 intf=01 # Bloomberg 5 Keyboard HID;DENY: vid=1188 pid=A301 split=01 intf=02 # Bloomberg 5 Keyboard Audio Channel;CONNECT: vid=1188 pid=A301 split=01 intf=00,01 # Bloomberg 5 Keyboard Audio HID"

 

 

Link to comment

1 answer to this question

Recommended Posts

  • 0

above is fine (although we found we had to just straight up deny A301 in USB Device Rules, and then in the citrix usb policy allow it and that worked for us).  You will need to also add in a workspace policy (use adm templates for workspace), under User Configuration -> Administrative Templates -> Citrix Components -> Citrix Workspace -> Remoting client devices -> Generic USB Remoting: Existing USB Devices = Enabled, and optionally New USB Devices = enabled.

 

Your above reg keys can be set via gpo also if you look under Computer Configuration -> Administrative Templates -> Citrix Components -> Citrix Workspace -> Remoting client devices -> Generic USB Remoting: set USB Device Rules, and SplitDevices = Enabled.  Also don't forget your workspace has to be newer than 2109, we used 2205.

 

don't forget a gpupdate before testing.

 

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...